{% extends 'profile/layouts/admin/admin_layout.html' %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_complaint' %}">Pengaduan</a></li>
            <li class="breadcrumb-item active" aria-current="page">Detail</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    {% if complaint %}
        <div class="py-3 mb-3">
            <div class="card">
                <div class="card-body">
                    <div class="d-flex  justify-content-end container-fluid mb-2">
                        {% if complaint.reply_status %}
                            <button class="btn btn-success mr-2" disabled>Sudah Dibalas</button>
                        {% else %}
                            <button class="btn btn-danger mr-2" disabled>Belum Dibalas</button>
                        {% endif %}
                        <button class="btn btn-info" id="button-balas">Balas Pengaduan</button>
                    </div>
                    <div class="form-group">
                        <label>Judul</label>
                        <input type="text" class="form-control" value="{{ complaint.subject }}" disabled>
                    </div>
                    <div class="form-group">
                        <label>Nama</label>
                        <input type="text" class="form-control" value="{{ complaint.name }}" disabled>
                    </div>
                    <div class="form-group">
                        <label>Email</label>
                        <input type="text" class="form-control" value="{{ complaint.email }}" disabled>
                    </div>
                    <div class="form-group">
                        <label>Telepon</label>
                        <input type="text" class="form-control" value="{{ complaint.phone }}" disabled>
                    </div>
                    <div class="form-group">
                        <label>Telepon</label>
                        <input type="text" class="form-control" value="{{ complaint.created_at }}" disabled>
                    </div>
                    <div class="form-group">
                        <label for="detail-keterangan">Pesan</label>
                        <textarea class="form-control" rows="3" disabled>{{ complaint.message }}</textarea>
                    </div>
                </div>
            </div>
        </div>
        <div class="py-3 mb-5">
            <div class="card" id="card-balas">
                <div class="card-header">
                    <h6 class="m-0 font-weight-bold text-info">Balas Pengaduan</h6>
                </div>
                <div class="card-body">
                    <form method="post" action="{% url 'profile:admin_complaint_reply' %}">
                        {% csrf_token %}
                        <input type="hidden" name="slug" value="{{ complaint.slug }}">
                        <div class="form-group">
                            <label for="detail-keterangan">Pesan</label>
                            <textarea class="form-control" rows="3" name="balasan"></textarea>
                        </div>
                        <button type="submit" class="btn btn-success">Balas</button>
                    </form>
                </div>
            </div>
        </div>
    {% else %}
        <h1>PENGADUAN TIDAK DITEMUKAN</h1>
    {% endif %}

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}
{% block scripts_bawah %}
<script>
    $("#button-balas").click(function(){
        $("#card-balas").toggle();
        if($("#card-balas").is(":visible")){
            $('html, body').animate({
                scrollTop: $("#card-balas").offset().top
            }, 1000);
        }
    });

    $(document).ready( function () {
        $("#card-balas").hide();
    });
</script>

{% endblock scripts_bawah %}